org.apache.lucene.queryParser.core.parser

## Interface SyntaxParser

- All Known Implementing Classes:
    StandardSyntaxParser

      public interface SyntaxParser

  A parser needs to implement `SyntaxParser` interface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryNode` | `parse(java.lang.CharSequence query, java.lang.CharSequence field)`

- - ### Method Detail

    - #### parse

          QueryNode parse(java.lang.CharSequence query,
                          java.lang.CharSequence field)
                   throws QueryNodeParseException

      Parameters:
        `query` - - query data to be parsed
        `field` - - default field name
      Returns:
        QueryNode tree
      Throws:
        `QueryNodeParseException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.